# \Thelia\CommandModuleGenerateModelCommand

Command.

## Summary

Methods
Properties
Constants
execute()
setContainer()
No public properties found
No constants found
configure()
generateSql()
generateModel()
verifyExistingModule()
formatModuleName()
getContainer()
$module
$moduleDirectory
$reservedKeyWords
$neededDirectories
N/A
No private methods found
$container
N/A

File
  Command/ModuleGenerateModelCommand.php
Package
  \Default
Class hierarchy
  \Symfony\Component\Console\Command\Command
  \Thelia\Command\ContainerAwareCommand
  \Thelia\Command\BaseModuleGenerate
  \Thelia\Command\ModuleGenerateModelCommand

## Tags

None found

## Properties

### $module

    $module

#

Inherited from
  \Thelia\Command\BaseModuleGenerate

## Tags

None found

### $moduleDirectory

    $moduleDirectory

#

Inherited from
  \Thelia\Command\BaseModuleGenerate

## Tags

None found

### $reservedKeyWords

    $reservedKeyWords

#

Inherited from
  \Thelia\Command\BaseModuleGenerate

## Tags

None found

### $neededDirectories

    $neededDirectories

#

Inherited from
  \Thelia\Command\BaseModuleGenerate

## Tags

None found

### $container

    $container : \Symfony\Component\DependencyInjection\ContainerInterface

#### Type

\Symfony\Component\DependencyInjection\ContainerInterface

#

Inherited from
  \Thelia\Command\ContainerAwareCommand

## Tags

None found

## Methods

### execute()

    execute(\Symfony\Component\Console\Input\InputInterface $input, \Symfony\Component\Console\Output\OutputInterface $output)

#### Parameters

\Symfony\Component\Console\Input\InputInterface | $input |
\Symfony\Component\Console\Output\OutputInterface | $output |

#

## Tags

None found

### setContainer()

    setContainer(\Symfony\Component\DependencyInjection\ContainerInterface $container)

#### Parameters

\Symfony\Component\DependencyInjection\ContainerInterface | $container |

#

Inherited from
  \Thelia\Command\ContainerAwareCommand
See also

## Tags

None found

### configure()

    configure()

#

## Tags

None found

### generateSql()

    generateSql(\Symfony\Component\Console\Output\OutputInterface $output)

#### Parameters

\Symfony\Component\Console\Output\OutputInterface | $output |

#

## Tags

None found

### generateModel()

    generateModel(\Symfony\Component\Console\Output\OutputInterface $output)

#### Parameters

\Symfony\Component\Console\Output\OutputInterface | $output |

#

## Tags

None found

### verifyExistingModule()

    verifyExistingModule()

#

Inherited from
  \Thelia\Command\BaseModuleGenerate

## Tags

None found

### formatModuleName()

    formatModuleName( $name)

#### Parameters

| $name |

#

Inherited from
  \Thelia\Command\BaseModuleGenerate

## Tags

None found

### getContainer()

    getContainer() : \Symfony\Component\DependencyInjection\ContainerInterface

#### Returns

\Symfony\Component\DependencyInjection\ContainerInterface

#

Inherited from
  \Thelia\Command\ContainerAwareCommand

## Tags

None found

### ModuleGenerateModelCommand.php